GCLOUD_COMPUTE_SNAPSHOTS_REMOVE-LABELS(1)

NAME

gcloud compute snapshots remove-labels - remove labels from Google Compute Engine snapshots

SYNOPSIS

gcloud compute snapshots remove-labels SNAPSHOT_NAME (--all | --labels=KEY,[KEY,...]) [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute snapshots remove-labels removes labels from a Google Compute Engine snapshot. For example, running:
    $ gcloud compute snapshots remove-labels example-snapshot \
        --labels=k0,k1
will remove existing labels with key k0 and k1 from 'example-snapshot'. Labels can be used to identify the snapshot and to filter them as in
    $ gcloud compute snapshots list --filter='labels.k1:value2'
To list existing labels
    $ gcloud compute snapshots describe example-snapshot \
        --format='default(labels)'

POSITIONAL ARGUMENTS

    SNAPSHOT_NAME
        The name of the snapshot to operate on.

REQUIRED FLAGS
Exactly one of these must be specified:

    --all
        Remove all labels from the resource.

    --labels=KEY,[KEY,...]
        A comma-separated list of label keys to remove from the resource.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.